Feel free to reach techsupport@surepass.io for any technical support or guidance.
Authorization header as Bearer TOKEN.https://sandbox.surepass.apphttps://kyc-api.surepass.app| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token for API authentication (JWT format) |
| Content-Type | Yes | Must be set to application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
| digipin | string | Yes | The Digipin code to be reversed into coordinates (format: XXX-XXX-XXXX) |
{
"digipin": "459-T7P-L38L"
}| Parameter | Type | Description |
|---|---|---|
| data | object | Container object holding the response data |
| data.client_id | string | Unique identifier for the API request session |
| data.digipin | string | The original Digipin code that was processed |
| data.latitude | number | Latitude coordinate (decimal degrees format) |
| data.longitude | number | Longitude coordinate (decimal degrees format) |
| status_code | number | HTTP status code of the response |
| success | boolean | Indicates whether the API call was successful |
| message | string | Human-readable status message |
| message_code | string | Machine-readable status code identifier |
{
"data": {
"client_id": "digipin_reverse_aKwlRchefrZaIUnzmcSy",
"digipin": "459-T7P-L38L",
"latitude": 15.50934,
"longitude": 78.6709
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}{
"data": null,
"status_code": 400,
"success": false,
"message": "Invalid Digipin format provided",
"message_code": "invalid_format"
}curl --location --request POST 'https://kyc-api.surepass.app/api/v1/utils/digipin/reverse' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"digipin": "459-T7P-L38L"
}'{
"data": {
"client_id": "digipin_reverse_aKwlRchefrZaIUnzmcSy",
"digipin": "459-T7P-L38L",
"latitude": 15.50934,
"longitude": 78.6709
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}